
class MyString {
  public:
    size_t size();
    size_t capacity();
};

class StringPool {
  public:
    // Létrehoz obj_num db MyString obejktumot, 
    // melyek kapacitása init_cap méretű
    StringPool(size_t obj_num, size_t init_cap);
    
    // Visszaad egy szabad MyString objektumot ami 
    // legalább capacity kapacitással rendelkezik
    // Ha nincs ilyen a pool-ban, akkor létrehoz egyet
    MyString& acquire(size_t capacity);

    // Ezután a visszaadott str objektum újra 
    void release(MyString& str);
};